%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%  mainloop
%%%  Main controller program for the simulation
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%clear any results that we may have generated before
results = [];
run once;

%perform 25 runs of the simulation

fprintf('Starting simulation (a = %1.2f, e = %1.2f)\n\n', alpha, epav);

for result_index=0:25 

    %we will run the simulation for 0 < q < 1
    %subdivied in 50 steps

    for qindex=0:50 

        qcurrent = qindex / 50;        

	  %seed our simulation variables for this qcurrent;
        run init;

        fprintf('Processing (result_index = %i, q = %1.2f) ', result_index, qcurrent);
        
        for index=1:1000  %expose our agent to 1000 articles
    		run article;
            run update;
            
            if (mod(index,100) == 0)
                fprintf('.');
            end
            
        end

	  %calculate average values        
        run avers;    
        fprintf(' pave = %f\n',pave);

	  %store the result
        results(result_index + 1,qindex+1) = pave;

    end

end 

fprintf('Simulation finished ... \n');

plot( [0:50]/50, mean(results));