%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%  update.m
%%%  Performs the inner-loop simulation step
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%check to see if the current article that we generated
%in article.m supports Theory A or Theory B

% iart = 0 when an article supports Theory A
% iart = 0 when an article supports Theory B

%compute the Bayesian likelihood of encountering such an article
%which has been replicated number_replications times

%NOTE: For number_replications = 2, we reproduce Equation 3 from the paper

if (iart == 0)
    blike = (epc.*delc + (1-epc)).^number_replications;
    blike = blike - (epc.*delc).^number_replications;
    blike = blike.*(pc.*alpha + (1-pc).*(1-beta));
    blike = blike + (epc.*delc).^number_replications;
else
    blike = (epc.*(1-delc) + (1-epc)).^number_replications;
    blike = blike - (epc.*(1-delc)).^number_replications;
    blike = blike.*(pc.*(1-alpha) + (1-pc).*beta);
    blike = blike + (epc.*(1-delc)).^number_replications;
end

%update the simulation probability grid
phi = phi .* blike;

%normalize the simulation probability grid
phi = phi / sum(phi(:));
